package com.huashe.park.core.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.huashe.common.annotation.mybatis.Tenant;
import com.huashe.park.domain.entity.ConsUnitInfo;

/**
 * 施工单元Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
public interface ConsUnitInfoMapper {
    /**
     * 查询施工单元
     * 
     * @param id 施工单元主键
     * @return 施工单元
     */
    ConsUnitInfo selectConsUnitInfoById(Long id);

    ConsUnitInfo selectConsUnitInfoByByteId(String byteId);

    /**
     * 查询施工单元列表
     * 
     * @param consUnitInfo 施工单元
     * @return 施工单元集合
     */
    List<ConsUnitInfo> selectConsUnitInfoList(ConsUnitInfo consUnitInfo);

    /**
     * 新增施工单元
     * 
     * @param consUnitInfo 施工单元
     * @return 结果
     */
    int insertConsUnitInfo(ConsUnitInfo consUnitInfo);

    /**
     * 修改施工单元
     * 
     * @param consUnitInfo 施工单元
     * @return 结果
     */
    int updateConsUnitInfo(ConsUnitInfo consUnitInfo);

    /**
     * 删除施工单元
     * 
     * @param id 施工单元主键
     * @return 结果
     */
    int deleteConsUnitInfoById(Long id);

    /**
     * 批量删除施工单元
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteConsUnitInfoByIds(Long[] ids);

    int hasChildById(Long id);

    List<ConsUnitInfo> selectChildrenById(Long id);

    int updateConstUnitChildren(@Param("consUnits") List<ConsUnitInfo> consUnits);

    @Tenant(tableAlias = "unit")
    List<String> qryMachineAssignedUnitAncestors(Long machineId);

    List<ConsUnitInfo> qryConsUnitInfoByIds(@Param("ids") List<String> ids);
}
